Browse Source

Sync with portage [Mon Jun 7 17:48:48 MSK 2021].

tags/1982
root 1 month ago
parent
commit
83c15b6f32
100 changed files with 1526 additions and 2791 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      app-accessibility/Manifest.gz
  3. +1
    -0
      app-accessibility/at-spi2-core/Manifest
  4. +54
    -0
      app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild
  5. BIN
      app-admin/Manifest.gz
  6. +1
    -1
      app-admin/ansible-base/Manifest
  7. +63
    -0
      app-admin/ansible-base/ansible-base-2.10.10.ebuild
  8. +0
    -63
      app-admin/ansible-base/ansible-base-2.10.4.ebuild
  9. +1
    -0
      app-admin/ansible/Manifest
  10. +62
    -0
      app-admin/ansible/ansible-2.11.1.ebuild
  11. +2
    -1
      app-admin/ansible/ansible-9999.ebuild
  12. +1
    -0
      app-admin/awscli/Manifest
  13. +1
    -1
      app-admin/awscli/awscli-1.19.87.ebuild
  14. +58
    -0
      app-admin/awscli/awscli-1.19.88.ebuild
  15. +1
    -1
      app-admin/bitwarden-desktop-bin/Manifest
  16. +0
    -0
      app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.26.5.ebuild
  17. +1
    -1
      app-admin/exo/Manifest
  18. +0
    -0
      app-admin/exo/exo-1.31.0.ebuild
  19. +1
    -0
      app-admin/hcloud/Manifest
  20. +34
    -0
      app-admin/hcloud/hcloud-1.23.0.ebuild
  21. +0
    -34
      app-admin/pydf/pydf-12-r1.ebuild
  22. +1
    -1
      app-admin/pydf/pydf-12-r2.ebuild
  23. +0
    -6
      app-admin/rsyslog/Manifest
  24. +0
    -460
      app-admin/rsyslog/rsyslog-8.2008.0.ebuild
  25. +0
    -479
      app-admin/rsyslog/rsyslog-8.2010.0.ebuild
  26. +0
    -481
      app-admin/rsyslog/rsyslog-8.2012.0-r1.ebuild
  27. +0
    -479
      app-admin/rsyslog/rsyslog-8.2012.0.ebuild
  28. BIN
      app-arch/Manifest.gz
  29. +1
    -1
      app-arch/dpkg/dpkg-1.20.7.1.ebuild
  30. +1
    -0
      app-arch/gnome-autoar/Manifest
  31. +43
    -0
      app-arch/gnome-autoar/gnome-autoar-0.3.3.ebuild
  32. +1
    -0
      app-arch/makeself/Manifest
  33. +39
    -0
      app-arch/makeself/makeself-2.4.4.ebuild
  34. BIN
      app-backup/Manifest.gz
  35. +1
    -0
      app-backup/bacula/Manifest
  36. +413
    -0
      app-backup/bacula/bacula-11.0.5.ebuild
  37. +1
    -1
      app-backup/rdiff-backup/rdiff-backup-2.0.5-r1.ebuild
  38. +2
    -2
      app-backup/snapper/Manifest
  39. +0
    -36
      app-backup/snapper/files/snapper-0.5.6-swap.patch
  40. +83
    -0
      app-backup/snapper/files/snapper-0.9.0-testsuite.patch
  41. +0
    -77
      app-backup/snapper/snapper-0.5.6-r1.ebuild
  42. +1
    -1
      app-backup/snapper/snapper-0.8.15-r1.ebuild
  43. +89
    -0
      app-backup/snapper/snapper-0.8.16.ebuild
  44. +0
    -81
      app-backup/snapper/snapper-0.8.9-r1.ebuild
  45. +89
    -0
      app-backup/snapper/snapper-0.9.0.ebuild
  46. BIN
      app-crypt/Manifest.gz
  47. +0
    -1
      app-crypt/acme/Manifest
  48. +0
    -68
      app-crypt/acme/acme-1.13.0.ebuild
  49. +1
    -1
      app-crypt/acme/acme-1.15.0.ebuild
  50. +0
    -1
      app-crypt/certbot-apache/Manifest
  51. +0
    -30
      app-crypt/certbot-apache/certbot-apache-1.13.0.ebuild
  52. +1
    -1
      app-crypt/certbot-apache/certbot-apache-1.15.0.ebuild
  53. +0
    -1
      app-crypt/certbot-nginx/Manifest
  54. +0
    -32
      app-crypt/certbot-nginx/certbot-nginx-1.13.0.ebuild
  55. +1
    -1
      app-crypt/certbot-nginx/certbot-nginx-1.15.0.ebuild
  56. +0
    -1
      app-crypt/certbot/Manifest
  57. +0
    -36
      app-crypt/certbot/certbot-1.13.0.ebuild
  58. +1
    -1
      app-crypt/certbot/certbot-1.15.0.ebuild
  59. +1
    -1
      app-crypt/libmd/libmd-1.0.3.ebuild
  60. BIN
      app-dicts/Manifest.gz
  61. +1
    -1
      app-dicts/myspell-ru/myspell-ru-20180627.ebuild
  62. BIN
      app-doc/Manifest.gz
  63. +0
    -1
      app-doc/cantera-docs/Manifest
  64. +0
    -29
      app-doc/cantera-docs/cantera-docs-2.4.0.ebuild
  65. +1
    -1
      app-doc/kicad-doc/Manifest
  66. +0
    -0
      app-doc/kicad-doc/kicad-doc-5.1.10.ebuild
  67. BIN
      app-editors/Manifest.gz
  68. +4
    -3
      app-editors/curses-hexedit/curses-hexedit-0.9.7-r1.ebuild
  69. +1
    -1
      app-editors/emacs/emacs-27.2.ebuild
  70. +3
    -0
      app-editors/vscodium/Manifest
  71. +12
    -0
      app-editors/vscodium/files/vscodium-url-handler.desktop
  72. +18
    -0
      app-editors/vscodium/files/vscodium.desktop
  73. +19
    -0
      app-editors/vscodium/metadata.xml
  74. +95
    -0
      app-editors/vscodium/vscodium-1.56.2.ebuild
  75. BIN
      app-emacs/Manifest.gz
  76. +1
    -0
      app-emacs/libegit2/Manifest
  77. +4
    -0
      app-emacs/libegit2/files/50libegit2-gentoo.el
  78. +53
    -0
      app-emacs/libegit2/libegit2-0.0.20200515.ebuild
  79. +14
    -0
      app-emacs/libegit2/metadata.xml
  80. +1
    -0
      app-emacs/magit/Manifest
  81. +34
    -0
      app-emacs/magit/magit-3.0.0.ebuild
  82. BIN
      app-emulation/Manifest.gz
  83. +2
    -1
      app-emulation/libvirt/libvirt-9999.ebuild
  84. +1
    -1
      app-emulation/qemu/qemu-6.0.0.ebuild
  85. +2
    -2
      app-emulation/ski/ski-1.3.2-r4.ebuild
  86. +1
    -1
      app-emulation/snapd/Manifest
  87. +0
    -185
      app-emulation/snapd/snapd-2.47.1-r1.ebuild
  88. +180
    -0
      app-emulation/snapd/snapd-2.51.ebuild
  89. +2
    -0
      app-emulation/virt-manager/virt-manager-9999.ebuild
  90. +1
    -0
      app-emulation/virt-what/Manifest
  91. +24
    -0
      app-emulation/virt-what/virt-what-1.21.ebuild
  92. +1
    -15
      app-emulation/wine-mono/Manifest
  93. +0
    -21
      app-emulation/wine-mono/wine-mono-4.6.4.ebuild
  94. +0
    -21
      app-emulation/wine-mono/wine-mono-4.7.0.ebuild
  95. +0
    -21
      app-emulation/wine-mono/wine-mono-4.7.1.ebuild
  96. +0
    -21
      app-emulation/wine-mono/wine-mono-4.7.3.ebuild
  97. +0
    -21
      app-emulation/wine-mono/wine-mono-4.7.5.ebuild
  98. +0
    -21
      app-emulation/wine-mono/wine-mono-4.8.0.ebuild
  99. +0
    -21
      app-emulation/wine-mono/wine-mono-4.8.1.ebuild
  100. +0
    -21
      app-emulation/wine-mono/wine-mono-4.8.3.ebuild

BIN
Manifest.files.gz View File


BIN
app-accessibility/Manifest.gz View File


+ 1
- 0
app-accessibility/at-spi2-core/Manifest View File

@@ -1 +1,2 @@
DIST at-spi2-core-2.40.1.tar.xz 197064 BLAKE2B dfa19413e6688678fcc0c0ed76d0fca0d5de5039c9b1e42dc10c9c387c0cbffb3c6a38570f9e74c343fa86310f2c3f6fcf0e311c57d11b5adeac5faf7bdf9630 SHA512 fcb73e78a85db9b982ae10d8c968c7732079832877fa0214c30a04b9e27910448c3f5456b8628ed4a3d4dbd59037c8c206916ad1462ca5c7a44409a702096b14
DIST at-spi2-core-2.40.2.tar.xz 197476 BLAKE2B a3b6f1edb7beace2a54cc651f8bf5d002009a3d2791306f2b0a33c351c68d04e0a1003ab11f215333d498c50d17139b978e7f232df802f6c620bbe31997a8e1c SHA512 854fbba39064ba4b1d9728fc4943e811f0a9557f1096f32d7a6486bcb6c73379ab84c5fb8ce5288bf4dab1d1cd3e0664c492977450d4da503ce4b08abfc75fd9

+ 54
- 0
app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild View File

@@ -0,0 +1,54 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit gnome.org meson-multilib systemd virtualx xdg

DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="https://wiki.gnome.org/Accessibility"

LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"

RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
>=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
X? (
x11-libs/libX11[${MULTILIB_USEDEP}]
x11-libs/libXtst[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
)
"
DEPEND="${RDEPEND}"
BDEPEND="
dev-util/glib-utils
gtk-doc? (
>=dev-util/gtk-doc-1.25
app-text/docbook-xml-dtd:4.3
)
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"

PATCHES=(
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
"${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
)

multilib_src_configure() {
local emesonargs=(
-Dsystemd_user_dir="$(systemd_get_userunitdir)"
$(meson_native_use_bool gtk-doc docs)
-Dintrospection=$(multilib_native_usex introspection)
-Dx11=$(usex X)
)
meson_src_configure
}

multilib_src_test() {
virtx dbus-run-session meson test -C "${BUILD_DIR}"
}

BIN
app-admin/Manifest.gz View File


+ 1
- 1
app-admin/ansible-base/Manifest View File

@@ -1,2 +1,2 @@
DIST ansible-base-2.10.4.tar.gz 5708083 BLAKE2B dcae17dd84dd1985703bf55bffd4a7907ecf072fcc52c76633fd2fc1d3461901b284002f69ce542ab8447f7aa6a2f65ff4c9abca1a7c1c8df3ad69a4179b1c33 SHA512 50dcccc0b40f47590d3ea56907f987bddbb858952b0d6a999db0b706232a571037dc31e66a773370be57ca14d11a7091c53a480d7f3cecf4a5e7f91895661100
DIST ansible-base-2.10.10.tar.gz 5986488 BLAKE2B 5c793d25ac5a216d05e15f49cd447cbdfb2ef97c2881bca60be5c23e3245262e15304a63431704d8b69fff56594e25517c0e5e1f2641b3eca5ad6a1e76e4d7b3 SHA512 b599b498a20b77cd3346f5b865b5a0436cdd835af250e8cc4ed20d61ac6a4929bf4ceef9a95c6e7b8e825c5f513d33ea32b24661c58e2f1d285db0569d71fc1b
DIST ansible-base-2.10.9.tar.gz 6039597 BLAKE2B de455cc402ae4c5c4acd6b1c3d3f2e16572d4a4e79c5f3e4151ec8b913a3be0cfbcb42e5743fe627b7aba9b0e6b004189960cd5a17ff46166cd033a952d3c560 SHA512 093514230a3f6680ddeda07c24e77c2e793475895f44da6e5dd68335341d6fefe10091a124cf84e18475257a099b39fd2c16e6fc0dae0bbaf2d26e70b09c277a

+ 63
- 0
app-admin/ansible-base/ansible-base-2.10.10.ebuild View File

@@ -0,0 +1,63 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{7..9} )

inherit distutils-r1

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
IUSE="test"
RESTRICT="test"
# doc removed due to https://github.com/ansible/ansible/issues/71395

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
!<app-admin/ansible-2.10
"
# ansible-2.10 or above is needed for the collections
DEPEND="
!<app-admin/ansible-2.10
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile() {
# disable version checks on upgrade
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
distutils-r1_python_install_all
dodoc -r examples
}

+ 0
- 63
app-admin/ansible-base/ansible-base-2.10.4.ebuild View File

@@ -1,63 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{7..9} )

inherit distutils-r1

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 x86 ~x64-macos"
IUSE="test"
RESTRICT="test"
# doc removed due to https://github.com/ansible/ansible/issues/71395

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
!<app-admin/ansible-2.10
"
# ansible-2.10 or above is needed for the collections
DEPEND="
!<app-admin/ansible-2.10
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile() {
# disable version checks on upgrade
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

python_install_all() {
distutils-r1_python_install_all
dodoc -r examples
}

+ 1
- 0
app-admin/ansible/Manifest View File

@@ -1 +1,2 @@
DIST ansible-2.10.7.tar.gz 29862966 BLAKE2B fa86deaac034adc8e02f91cbf4b63ca718d50376cab19e156c85f8372c1787275e2ce24840fc3cbad2b9191146c785feafcf024a0c14052ee39a839390cc1319 SHA512 7a6522bcc57c178c9c6e87e313f6f175d5c74ac0d1b9dd0cad5506c7fa0efb16d4a627dc2d9c73f988177544bd9ccfdbec162d0feacc757edeb20280d7414191
DIST ansible-core-2.11.1.tar.gz 6148111 BLAKE2B 46b1553542adbebfb0b0756be99a81d20cce2978a59766c65632b40413a851ad3c9de12df67959c0557584c5209ecd4f3c94381ae0a1e6987bd3cfb237de5a85 SHA512 1362754dde0a88ca8f6323d87cc6f4bf5f93b189b8d45fcb435d3fb289c359da128e7688a92107ade2c54828d4c4deb3ded9e01e18d19c503306924aa189a381

+ 62
- 0
app-admin/ansible/ansible-2.11.1.ebuild View File

@@ -0,0 +1,62 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend

inherit distutils-r1

DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"

if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}-core/${PN}-core-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
fi
S="${WORKDIR}/${PN}-core-${PV}"

LICENSE="GPL-3"
SLOT="0"
IUSE="test"
RESTRICT="test"

RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
!app-admin/ansible-base
"
DEPEND="
!app-admin/ansible-base
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"

python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

+ 2
- 1
app-admin/ansible/ansible-9999.ebuild View File

@@ -16,9 +16,10 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}-core/${PN}-core-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
fi
S="${WORKDIR}/${PN}-core-${PV}"

LICENSE="GPL-3"
SLOT="0"


+ 1
- 0
app-admin/awscli/Manifest View File

@@ -8,3 +8,4 @@ DIST awscli-1.19.84.tar.gz 2011045 BLAKE2B 581a7d1c22f7f92c434b6726cae34cdfde1f6
DIST awscli-1.19.85.tar.gz 2014586 BLAKE2B 7d7ec1d8ece349875403258988ac1732e48a70293471b76b0b3e5278877d606b9390cf3a01166914b3db78696f31598d30c4de1a0f1e5dcc2cc3582bbcf9a493 SHA512 738d433997f7d9a21db2d9d236cf5c1cc0a61ebf601cc2a96f292e22f9fdd4bbb6e6377fb55d161814275b653f61974c13b399d450ecea888b26543c6e3cf955
DIST awscli-1.19.86.tar.gz 2014916 BLAKE2B acebaf9c5d6b672333162ec578f29781f74e66c4eeda212be8b7722d05b30839ba835f03f4f4e9d780cdb4df3e7e9a5ad4a407a0660ddc4f6a8a60f7073c6440 SHA512 dcf9c23a6b11272a6ffdd04f8ba74bd85624692c5de28b6dc87ae75ac5d8b68a1b73d09cf02d29939f83d7d68860c21b2043d4cdc300b5664e0b221a47344956
DIST awscli-1.19.87.tar.gz 2015321 BLAKE2B 02cc3f0cc2588c9e0d2c7b8d38248455692f3b30dfeaecc076edfc3ce072128c6e788e8503e110eedf4d45ec71f3309c5db7871fd75018da3aaa424ed9d5fe4c SHA512 5bb6fb4ae62a1c4c5e83f59f32840ceab656d17cdee80dfd5530606f2d24e7b77aa78b8d62a020ca44a74c6f73de2cb4f625da5af68de3a90e704d4020703d7a
DIST awscli-1.19.88.tar.gz 2016344 BLAKE2B 09d29f2494cb540fcbd128197c0ac181c4106bc8aec651144f641b44d4ad0acb6d3c6381180f301508e8babe66f8cc800ce2932706a4efbf8042a525e433e583 SHA512 a5821af1af468fc1c02a9aaf9691346daffe09bc4b886b3b6ecc0a9e30420deb9e7bd3b3308c5dae2518cf76badb69602948566545473a59efd6eba1a329a728

+ 1
- 1
app-admin/awscli/awscli-1.19.87.ebuild View File

@@ -3,7 +3,7 @@

EAPI="7"

PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )

inherit bash-completion-r1 distutils-r1



+ 58
- 0
app-admin/awscli/awscli-1.19.88.ebuild View File

@@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

PYTHON_COMPAT=( python3_{8..10} )

inherit bash-completion-r1 distutils-r1

DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"

# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"

distutils_enable_tests --install nose

PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)

python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}

python_install_all() {
newbashcomp bin/aws_bash_completer aws

insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws

distutils-r1_python_install_all

rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

+ 1
- 1
app-admin/bitwarden-desktop-bin/Manifest View File

@@ -1,2 +1,2 @@
DIST Bitwarden-1.25.1-amd64.deb 58573904 BLAKE2B 109bec39c1a385127b00222752f6eac906cdea19df790dfede0f8dd6e2febdf35958b2b420737cf2dbfdd9648a85b93810ad1f8e2d6a222dcd07437d9333e7d7 SHA512 b20c5c3890a98f6990f7e7f1274027aba3011a416781b6fd76b6c37959ebf787cdb129dd16fe9b4601b5cbc39018dadc36efe680391c04ed0a4c763d221a3cbd
DIST Bitwarden-1.26.4-amd64.deb 58223196 BLAKE2B 38726d9feb35f15130e81a479d74e5c80d344656d46dd9b9e82a7deab9d83b21b3d0a30dc2e8fc9a371b72f2dabe06234c955077fd16163f8e8ad551b49e98c6 SHA512 b0de7ed7b00b5308a2137b2632150bd288a7383a13295814c6c6af1a85f911a6790ad162f67af07844f8fca80044b95f58a37e6ab762429d061f3c9af3616e11
DIST Bitwarden-1.26.5-amd64.deb 58215042 BLAKE2B 216e5042e925bc12a9feb1c038cacddc05b6c4aad8b76413ec50771cbfdab399c64e8388277d571708094e6b14b7d89b3c20ffd3d23d4010340b9d94068560cc SHA512 c2506a9f64d47138e6ce53bb7211e2562f9bb9847f4b48b059dd504eec312f6852571aaa550830f54488c0d67d02c0eb67bcac049a688098d1b8a55492b008f7

app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.25.1.ebuild → app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-1.26.5.ebuild View File


+ 1
- 1
app-admin/exo/Manifest View File

@@ -1 +1 @@
DIST exo-1.30.0.tar.gz 5372917 BLAKE2B 2ceb1edf18296bdbaa14a0c4af541a224b0d8376a3afe528907962f278c7cba89761c868c739f97ebfbe7222bccee1c5dc6af4d1490155928cfbe4bf5f195507 SHA512 02c09a950f9b32d6c5804a8100dac8ef8cdb35f3f4d93237affd3c150e7cd00a01a8cadeea68edacf42f1925994bc73359b6d512666d919b74d6d06db2a43cb6
DIST exo-1.31.0.tar.gz 5411379 BLAKE2B cc97c8f7aff6dd563aaec9701c19cfeed408f42b20ebb34ab90f15ec694e927c64f50dc3b5eda91af2a292609bf8b43ee005c6b5f1a152a0eb491d0f354618f2 SHA512 6f3a92210fb03cc0aa255bd91ffe884fb99d29f82e81919a1e9e82cfdfbfb09ee739e906032338494019656fc398cc49f2dfb48dbb01d68573fb6dab79afeb5c

app-admin/exo/exo-1.30.0.ebuild → app-admin/exo/exo-1.31.0.ebuild View File


+ 1
- 0
app-admin/hcloud/Manifest View File

@@ -1 +1,2 @@
DIST hcloud-1.22.1.tar.xz 910672 BLAKE2B 51e18c530964677bd0cef8232c68031f3186b83fe0da91e8c6572b95130df32e5b00de6e734fb6cce56a51b6fca6136bb306d33ad4a6c728aac3d0afe634c738 SHA512 365823e779f526ae9cbbb50ecaed557c5a838b6614208e4d03e7eadb9569a2e2156e05e019aea2623a811defda707b8822d0eb09a4bfd7006262bd6a19e09aae
DIST hcloud-1.23.0.tar.xz 1129416 BLAKE2B b91e0a5f24020cd250a0e50c4c2b049397575e884968652f6795e89340a90f43141deee7179944e2027992f6f722a75704c3cb8fb0b0e0653036e9b5c34258d4 SHA512 d16d5eb28873045ba1ed0b09a6a76b26c3e39fffd404fca233d79640c06cb75fe2a13db22d9c343890bfb5ebac0535c7e7fae8e37e96229ddd5d324b2a9d4c79

+ 34
- 0
app-admin/hcloud/hcloud-1.23.0.ebuild View File

@@ -0,0 +1,34 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="A command-line interface for Hetzner Cloud"
HOMEPAGE="https://github.com/hetznercloud/cli"
SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

IUSE=""
DEPEND="dev-lang/go:="
RESTRICT="strip"
QA_FLAGS_IGNORED=".*"

src_compile() {
go build -mod vendor -o ${PN} -ldflags "-w -X github.com/hetznercloud/cli/cli.Version=${PV}-gentoo" ./cmd/${PN} || die "build failed"
}

src_test() {
# For upstream a simple test is run 'hcloud version'
./hcloud version
if [[ $? -ne 0 ]]
then
die "Test failed"
fi
}

src_install() {
dobin ${PN}
}

+ 0
- 34
app-admin/pydf/pydf-12-r1.ebuild View File

@@ -1,34 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PYTHON_COMPAT=( python3_{7,8} )

inherit python-r1

DESCRIPTION="Enhanced df with colors"
HOMEPAGE="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/"
SRC_URI="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/${PN}_${PV}.tar.gz"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}"

src_prepare() {
default
sed -i -e "s:/etc/pydfrc:${EPREFIX}/etc/pydfrc:" "${PN}" || die
}

src_install() {
python_foreach_impl python_doscript "${PN}"
insinto /etc
doins "${PN}rc"
doman "${PN}.1"
einstalldocs
}

+ 1
- 1
app-admin/pydf/pydf-12-r2.ebuild View File

@@ -13,7 +13,7 @@ SRC_URI="http://kassiopeia.juls.savba.sk/~garabik/software/pydf/${PN}_${PV}.tar.

LICENSE="public-domain"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 ~ppc ppc64 x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 arm ~arm64 ppc ppc64 x86 ~amd64-linux ~x86-linux"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"



+ 0
- 6
app-admin/rsyslog/Manifest View File

@@ -1,10 +1,4 @@
DIST rsyslog-8.2008.0.tar.gz 3051049 BLAKE2B abf9b7ec81cf62841c448f22c7aff45bc85ea6cdc7552e74295aac752c86380039bb28836e78e35e6eba3d0a062a0ae99ea22ba3d6e978175411a43ec9af6f9a SHA512 a077832de7076ac5e7d4c8f33edd044d0c18fd171a697ef68c1cd0f81f1938b3f008cddc1a61084181de512b643c15004744f0e79e6a44e9d239cec3d35f74fe
DIST rsyslog-8.2010.0.tar.gz 3097606 BLAKE2B 06bfd54edc2126567ff9a460c272583d388a16a4db6f56603c8b9d2dd54bf4fe3b3b402eb4a9523b68e9d3a7602759fad57b35351d7cadab0b7f02771db5c40c SHA512 e3c8ed6b631053e38abfe8ce183a1544d04a0207dc988d36f5141a7ea8c987915f4c0429ccd094b7e374c277b7ee5b50e65e7205c156af01ffe9bdf8338831c8
DIST rsyslog-8.2012.0.tar.gz 3118101 BLAKE2B 26550c90ff5502c051c30996f7a1eabfdd9e5ce229dbb33f91ac40f9af5c2d2b15f9dd8a3b0a31b00b1b510d91fe5ce177ceab5fa2af416a9de9acc4e4b24f6a SHA512 d279295c8d399be140bd5c30786c6a32b2ddfd0d90ca4cd285aa33622c66ad9e3a5b979c8041f6e736670fef8f2cd5571980eef1b1395d4ab30a112f2dd1270d
DIST rsyslog-8.2102.0.tar.gz 3123684 BLAKE2B f5c4e00d68ec82ed3f7b89dd5e888bebda9c4eb38185dfd8ecd96c1bf77380385aaddac73ab1de8364e1239a3de746f160c18b0f135d006f473f9e40be2c18a1 SHA512 281b0e5d5cb548c39a6e514e5fd5b1bdbe8ca0bdd9234f4fea581ed7679f76d2d75b65d14c3c5e799f86f91600074ff75b467aa1ff27cdbec0f4197261c5aec0
DIST rsyslog-8.2104.0.tar.gz 3175254 BLAKE2B ed772d4e460105b8406305574fdbe4aeca7ba57ba975b78f91d279460fee0faa767fcda3d2d8a4ba6d543bf9e920f9b7cf5ddf9e4d3ccfc9ae3b08c318a6c5b0 SHA512 15ded57f32259bb12b3378d10bc2d4d6eff39623f1195357dafa58e5c1154aedc0d60ff0746599707f380cf3bfc5ca955f15f1213572fa447cc333d479e0eefc
DIST rsyslog-doc-8.2008.0.tar.gz 8378149 BLAKE2B 0f6bc116a03821899d33c7960e517725487b89ea2aabc7f5d0fbd4962d82a06558737bcee67af02105006c670ec736eb5ba0b7811b25a1e627a99555121b2999 SHA512 5b8bed19017c65469eb8ea7725ef162595b30f520605f37447498ab69b5cfe8f939cee7e7915ecbf3c025871408fd7af6d45ba960a83096f83a397df4cefef09
DIST rsyslog-doc-8.2010.0.tar.gz 8428326 BLAKE2B ee8eb2bdbb1f6c7122559b63ddc1ae6ac7fbfb23d661410feb39d7ddce332851e785bb447fb67dd2de8ff62e91fe865fbf7dec8bf62d7fe51181e3c6bbbe64db SHA512 072fb05a0117dc0970a4e5e302abbaf5dc065c2a0962c4160e7efb86fedad89a2caa546cd2bf4af07b7f5e2fa5267cf02889d911f7a6916725e6aea1760ab253
DIST rsyslog-doc-8.2012.0.tar.gz 6417145 BLAKE2B d8377f40b0311e8e7dcca274c251c0de7706490e3048c8d69d479120e06ca1e0b3ec9fce0a04928984d440da3aef196965f8c1b45afe8931c893b4baa72f4e87 SHA512 5647f499230276066abced34c2ca352268ba24fbd00cb7b5e3d0a2494977dd6f781cf8d1e7c7a9210d23c451ff162acda81ee93afa3f8f08fd555123e9daeece
DIST rsyslog-doc-8.2102.0.tar.gz 6419104 BLAKE2B 134c7ccde6f7435b35840fa37f5774223ac1ebd7dc10db961900a7b1600483156518433c7f70d0981e96ea750e1916ab53e346abacf58066bf141e85c719ae00 SHA512 a5dc4fb9bd8892fac693c5692b926c8d7d9fa36667d6b4c6eccba750713af88d4317f6232efc2a16de38c2e58c4a8bc4d04c9ebb2e7ebc3b0878d53eef20dd2e
DIST rsyslog-doc-8.2104.0.tar.gz 6451275 BLAKE2B cb8a38b28caec17babd190e463070b862071a75c4c63a7208e56f039f84ae7a5c6045112697c61635d328e56d9427f692e67a9d6fefc94b59ad28481210f1481 SHA512 6c898fa606190c5cf214822503f060b1692cd907731858736a395511b66d7b0d1cf6dfcc90c4cecbe21b099197ae2187db53d719f44f85f26a1bd34971539d36

+ 0
- 460
app-admin/rsyslog/rsyslog-8.2008.0.ebuild View File

@@ -1,460 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
PYTHON_COMPAT=( python{3_7,3_8} )

inherit autotools linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="amd64 arm ~arm64 ~hppa x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="curl dbi debug doc elasticsearch +gcrypt gnutls jemalloc kafka kerberos kubernetes mdblookup"
IUSE+=" mongodb mysql normalize clickhouse omhttp omhttpfs omudpspoof openssl postgres"
IUSE+=" rabbitmq redis relp rfc3195 rfc5424hmac snmp ssl systemd test usertools +uuid xxhash zeromq"
RESTRICT="!test? ( test )"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
>=dev-libs/openssl-0.9.8y:0=
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
dev-libs/openssl:0=
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
>=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

if [[ ${PV} == "9999" ]]; then
DEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
DEPEND+=" >=sys-devel/flex-2.5.39-r1"
DEPEND+=" >=sys-devel/bison-2.4.3"
DEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without dependencies
--enable-imdiag
--enable-imfile
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without dependencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/${PN}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/${PN}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

find "${ED}" -name '*.la' -delete || die
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl ; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi

# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

rm -f "${T}/${PF}.$$"

echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

+ 0
- 479
app-admin/rsyslog/rsyslog-8.2010.0.ebuild View File

@@ -1,479 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{7..9} )

inherit autotools linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"

IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
IUSE+=" impcap jemalloc kafka kerberos kubernetes mdblookup"
IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
IUSE+=" systemd test usertools +uuid xxhash zeromq"

RESTRICT="!test? ( test )"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
imhttp? ( www-servers/civetweb )
impcap? ( net-libs/libpcap )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
>=dev-libs/openssl-0.9.8y:0=
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
dev-libs/openssl:0=
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
)"

if [[ ${PV} == "9999" ]]; then
BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
BDEPEND+=" >=sys-devel/bison-2.4.3"
BDEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without dependencies
--enable-imbatchreport
--enable-imdiag
--enable-imfile
--enable-improg
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without dependencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmtaghostname
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmdb2diag
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable imhttp)
$(use_enable impcap)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/${PN}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/${PN}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

find "${ED}" -name '*.la' -delete || die
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

if ! hash certtool &>/dev/null; then
die "certtool not found! Is net-libs/gnutls[tools] is installed?"
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi

# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

rm -f "${T}/${PF}.$$"

echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

+ 0
- 481
app-admin/rsyslog/rsyslog-8.2012.0-r1.ebuild View File

@@ -1,481 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{7..9} )

inherit autotools linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"

IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
IUSE+=" impcap jemalloc kafka kerberos kubernetes mdblookup"
IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
IUSE+=" systemd test usertools +uuid xxhash zeromq"

RESTRICT="!test? ( test )"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
imhttp? ( www-servers/civetweb )
impcap? ( net-libs/libpcap )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
>=dev-libs/openssl-0.9.8y:0=
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
dev-libs/openssl:0=
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
)"

if [[ ${PV} == "9999" ]]; then
BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
BDEPEND+=" >=sys-devel/bison-2.4.3"
BDEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without dependencies
--enable-imbatchreport
--enable-imdiag
--enable-imfile
--enable-improg
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without dependencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmtaghostname
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmdb2diag
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable imhttp)
$(use_enable impcap)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

systemd_newunit "${FILESDIR}/${PN}.service" ${PN}.service

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/${PN}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/${PN}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

find "${ED}" -name '*.la' -delete || die
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

if ! hash certtool &>/dev/null; then
die "certtool not found! Is net-libs/gnutls[tools] is installed?"
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi

# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

rm -f "${T}/${PF}.$$"

echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

+ 0
- 479
app-admin/rsyslog/rsyslog-8.2012.0.ebuild View File

@@ -1,479 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{7..9} )

inherit autotools linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"

IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
IUSE+=" impcap jemalloc kafka kerberos kubernetes mdblookup"
IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
IUSE+=" systemd test usertools +uuid xxhash zeromq"

RESTRICT="!test? ( test )"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
imhttp? ( www-servers/civetweb )
impcap? ( net-libs/libpcap )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
>=dev-libs/openssl-0.9.8y:0=
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
dev-libs/openssl:0=
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
)"

if [[ ${PV} == "9999" ]]; then
BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
BDEPEND+=" >=sys-devel/bison-2.4.3"
BDEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout